http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobsStarts a new job for a branch of an Amplify app.
The unique ID for an Amplify app.
The branch name for the job.
The unique ID for an existing job. This is required if the value of <code>jobType</code> is <code>RETRY</code>.
Describes the type for the job. The job type <code>RELEASE</code> starts a new job with the latest change from the specified branch. This value is available only for apps that are connected to a repository. The job type <code>RETRY</code> retries an existing job. If the job type value is <code>RETRY</code>, the <code>jobId</code> is also required.
The commit ID from a third-party repository provider for the job.
A descriptive reason for starting this job.
The commit date and time for the job.
The commit message from a third-party repository provider for the job.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobsStarts a new job for a branch of an Amplify app.
The unique ID for an Amplify app.
The branch name for the job.
The unique ID for an existing job. This is required if the value of <code>jobType</code> is <code>RETRY</code>.
Describes the type for the job. The job type <code>RELEASE</code> starts a new job with the latest change from the specified branch. This value is available only for apps that are connected to a repository. The job type <code>RETRY</code> retries an existing job. If the job type value is <code>RETRY</code>, the <code>jobId</code> is also required.
The commit ID from a third-party repository provider for the job.
A descriptive reason for starting this job.
The commit date and time for the job.
The commit message from a third-party repository provider for the job.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}